<html lang="en">
<head>
<title>Introduction - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="next" href="Basic-Navigation.html#Basic-Navigation" title="Basic Navigation">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<h1 class="settitle">Speedbar: File/Tag summarizing utility</h1>
<div class="node">
<p>
<a name="Introduction"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Basic-Navigation.html#Basic-Navigation">Basic Navigation</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">1 Introduction</h2>

<p><a name="index-introduction-1"></a>
To start using speedbar use the command <kbd>M-x speedbar RET</kbd> or select
it from the Tools menu in versions of Emacs with speedbar installed by
default.  This command will open a new frame to summarize the local
files.  On X Window systems or on MS-Windows, speedbar's frame is twenty
characters wide, and will mimic the height of the frame from which it
was started.  It positions itself to the left or right of the frame you
started it from.

   <p>To use speedbar effectively, it is important to understand its
relationship with the frame you started it from.  This frame is the
<dfn>attached frame</dfn> which speedbar will use as a reference point.  Once
started, speedbar watches the contents of this frame, and attempts to
make its contents relevant to the buffer loaded into the attached
frame.  In addition, all requests made in speedbar that require the
display of another buffer will display in the attached frame.

   <p>When used in terminal mode, the new frame appears the same size as the
terminal.  Since it is not visible while working in the attached frame,
speedbar will save time by using the <dfn>slowbar mode</dfn>, where no tracking is
done until speedbar is requested to show itself (i.e., the speedbar's
frame becomes the selected frame).

   <p><a name="index-g_t_0040code_007bspeedbar_002dget_002dfocus_007d-2"></a>The function to use when switching between frames using the keyboard is
<code>speedbar-get-focus</code>.  This function will toggle between frames, and
it's useful to bind it to a key in terminal mode.  See <a href="Customizing.html#Customizing">Customizing</a>.

   </body></html>

